Extending Qt Creator Manual | DeviceEnvironmentFetcher

Extending Qt Creator Manual 4.5.2

# DeviceEnvironmentFetcher Class

(ProjectExplorer::DeviceEnvironmentFetcher)

- List of all members, including inherited members

## Public Types

typedef | Ptr

## Public Functions

virtual void | start() = 0

## Signals

void | finished(const Utils::Environment &env, bool success)

## Protected Functions

| DeviceEnvironmentFetcher()

## Member Type Documentation

### typedef DeviceEnvironmentFetcher::Ptr

## Member Function Documentation

### `[protected]` DeviceEnvironmentFetcher::DeviceEnvironmentFetcher()

Default constructs an instance of DeviceEnvironmentFetcher.

### `[signal]` void DeviceEnvironmentFetcher::finished(const Utils::Environment &env, bool success)

### `[pure virtual]` void DeviceEnvironmentFetcher::start()